SPAWNVEG(3)

NAME
spawnveg - process spawn with process group and session control

SYNOPSIS

DESCRIPTION
combines fork(2), exec(2), setpgid(2) and setsid(2) into a single call.

and are as in execve(2). controls the new process group and session:

The new process becomes a session leader.
    is called in the child context.

The new process is in the callers process group.

The new process becomes a process group leader.

The new process joins the process group
    pgid.

COMMENTS
It is possible to code all process creation (except for vfork(2) hack like in csh(1)) using The proc(3) routines and ksh(1) do this on systems that don't support fork(2). This makes porting to NT and Windows a snap: a simple iffe(1) probe provides a implementation using the NT or Windows process primitives.

SEE ALSO
fork(2), exec(2), setpgid(2), setsid(2), spawnve(2)